FreeBSD : FreeBSD -- OPIE off-by-one stack overflow (768cfe70-ca40-11df-aade-0050568f000c)

High Nessus Plugin ID 50333


The remote FreeBSD host is missing one or more security-related updates.


A programming error in the OPIE library could allow an off-by-one buffer overflow to write a single zero byte beyond the end of an on-stack buffer.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 50333

File Name: freebsd_pkg_768cfe70ca4011dfaade0050568f000c.nasl

Version: $Revision: 1.7 $

Type: local

Published: 2010/10/26

Modified: 2016/08/10

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:FreeBSD, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info, Settings/ParanoidReport

Patch Publication Date: 2010/10/24

Vulnerability Publication Date: 2010/05/27

Reference Information

OSVDB: 64949

FreeBSD: SA-10:05.opie